package model

// ManageEquipmentMaterial 装备器材数据模型
type ManageEquipmentMaterial struct {
	Model
	EquipmentID uint64 `gorm:"column:equipment_id;type:int(11);default:0;comment:装备ID" json:"-"`
	MaterialID  uint64 `gorm:"column:material_id;type:int(11);default:0;comment:器材ID" json:"-"`
	ModelDeleted
	ModelAt
}

func (m *ManageEquipmentMaterial) TableName() string {
	return "manage_equipment_material"
}

func NewManageEquipmentMaterial() *ManageEquipmentMaterial {
	return &ManageEquipmentMaterial{}
}
