package model

type SysRoleAuth struct {
	Model
	RoleID uint64 `gorm:"column:role_id;type:int;default:0;comment:角色ID" json:"-"`
	AuthID uint64 `gorm:"column:auth_id;type:int;default:0;comment:权限ID" json:"-"`
	ModelDeleted
	ModelAt
}

func (m *SysRoleAuth) TableName() string {
	return m.NewTableName("sys_role_auth")
}

func NewSysRoleAuth() *SysRoleAuth {
	return &SysRoleAuth{}
}
