package model

type SysUserLoginLog struct {
	Model
	ModelTenant
	UID       uint64 `gorm:"column:uid;type:int;default:0;comment:用户uuid" json:"-"`
	Equipment string `gorm:"column:equipment;type:char(10);default:null;comment:登录设备" json:"equipment"`
	IP        string `gorm:"column:ip;type:char(16);default:null;comment:IP地址" json:"ip"`
	ModelDeleted
	ModelAt
}

func (m *SysUserLoginLog) TableName() string {
	return "sys_user_login_log"
}

func NewSysUserLoginLog() *SysUserLoginLog {
	return &SysUserLoginLog{}
}
