package model

type SysUserRole struct {
	Model
	UID    uint64 `gorm:"column:uid;type:int;default:0;comment:用户uuid" json:"-"`
	RoleID uint64 `gorm:"column:role_id;type:int;default:0;comment:角色ID" json:"-"`
	ModelDeleted
	ModelAt
}

func (m *SysUserRole) TableName() string {
	return m.NewTableName("sys_user_role")
}

func NewSysUserRole() *SysUserRole {
	return &SysUserRole{}
}
