package role

import (
	"ArmedPolice/app/controller/basic"
	"ArmedPolice/app/service"
)

type Auth struct{ *service.Session }

type AuthHandle func(session *service.Session) *Auth

func (c *Auth) List() (*basic.PageDataResponse, error) {
	return &basic.PageDataResponse{Data: nil, Count: 0}, nil
}

func (c *Auth) Form() error {
	return nil
}

func (c *Auth) Delete() error {
	return nil
}

func NewAuth() AuthHandle {
	return func(session *service.Session) *Auth {
		return &Auth{session}
	}
}
