package main

import (
	"ArmedPolice/cmd/ctl/command/controller"
	"ArmedPolice/cmd/ctl/command/model"
	"ArmedPolice/config"

	"github.com/spf13/cobra"
)

var rootCmd = &cobra.Command{
	Use:     "ctl",
	Long:    "ctl is a command line tool for serve",
	Version: *config.Version,
}

func init() {
	rootCmd.AddCommand(controller.ControllerCommand)
	rootCmd.AddCommand(model.ModelCommand)
}

func main() {
	_ = rootCmd.Execute()
}
