package model

// ManageEquipment 装备型号数据模型
type ManageEquipment struct {
	Model
	ModelTenant
	ParentID uint64 `gorm:"column:parent_id;type:int;default:0;comment:父级ID" json:"-"`
	Code     string `gorm:"column:code;type:varchar(35);default:null;comment:编号" json:"code"`
	Title    string `gorm:"column:title;type:varchar(100);default:null;comment:名称" json:"title"`
	Image
	Config string `gorm:"column:config;type:varchar(255);default:null;comment:配置" json:"config"`
	Remark string `gorm:"column:remark;type:varchar(255);default:null;comment:备注" json:"remark"`
	ModelDeleted
	ModelAt
}

func (m *ManageEquipment) TableName() string {
	return "manage_equipment"
}

func NewManageEquipment() *ManageEquipment {
	return &ManageEquipment{}
}
