package model

// ManageNotice 公告管理数据模型
type ManageNotice struct {
	Model
	ModelTenant
	Title   string `gorm:"column:title;type:varchar(100);default:null;comment:标题" json:"title"`
	Content string `gorm:"column:content;type:text;default:null;comment:内容" json:"content"`
	ModelDeleted
	ModelAt
}

func (m *ManageNotice) TableName() string {
	return "manage_notice"
}

func NewManageNotice() *ManageNotice {
	return &ManageNotice{}
}
