package model

// ManageSupplierEvaluate 供应商评价数据模型
type ManageSupplierEvaluate struct {
	Model
	SupplierID uint64 `gorm:"column:supplier_id;type:int(11);default:0;comment:供应商ID" json:"-"`
	Praise     int    `gorm:"column:praise;type:int(8);default:0;comment:好评" json:"praise"`
	Middle     int    `gorm:"column:middle;type:int(8);default:0;comment:中评" json:"middle"`
	Negative   int    `gorm:"column:negative;type:int(8);default:0;comment:差评" json:"negative"`
	ModelDeleted
	ModelAt
}

func (m *ManageSupplierEvaluate) TableName() string {
	return "manage_supplier_evaluate"
}

func NewManageSupplierEvaluate() *ManageSupplierEvaluate {
	return &ManageSupplierEvaluate{}
}
