package model

// SysBreakdown 故障信息数据模型
type SysBreakdown struct {
	Model
	Title  string `gorm:"column:title;type:varchar(30);default:null;comment:标题" json:"title"`
	Remark string `gorm:"column:remark;type:varchar(255);default:null;comment:备注 " json:"remark"`
	ModelDeleted
	ModelAt
}

func (m *SysBreakdown) TableName() string {
	return "sys_breakdown"
}

func NewSysBreakdown() *SysBreakdown {
	return &SysBreakdown{}
}
