package model

// WorkPurchase 工单采购数据模型
type WorkPurchase struct {
	Model
	WorkID             uint64 `gorm:"column:work_id;type:int(11);default:0;comment:工单ID" json:"-"`
	MaterialPurchaseID uint64 `gorm:"column:material_purchase_id;type:int(11);default:0;comment:器材采购ID" json:"-"`
	ModelDeleted
	ModelAt
}

func (m *WorkPurchase) TableName() string {
	return "work_purchase"
}

func NewWorkPurchase() *WorkPurchase {
	return &WorkPurchase{}
}
