package dashboard

import (
	model2 "ArmedPolice/app/common/model"
	"ArmedPolice/app/model"
	"ArmedPolice/app/service"
)

type Supplier struct{ *service.Session }

type SupplierHandle func(session *service.Session) *Supplier

func (c *Supplier) StaticEvaluate() (interface{}, error) {
	mManageSupplier := model.NewManageSupplier()
	out, err := mManageSupplier.Evaluate(model2.ManageSupplierKindForMaterial, 10)
	return out, err
}

func NewSupplier() SupplierHandle {
	return func(session *service.Session) *Supplier {
		return &Supplier{session}
	}
}
