package config

import "flag"

var (
	Init    = flag.Bool("init", false, "Project Init Status")
	Mode    = flag.String("mode", "release", "Development Environment")
	Version = flag.String("version", "v1.0", "IOT Version")
)

// IsDebug 开发版本
func IsDebug() bool {
	return *Mode == "debug"
}
