package config

var (
	// SystemConfig 系统配置
	SystemConfig    = make(map[string]interface{}, 0)
	SystemBreakdown = make(map[uint64]string, 0)
)

//png,jpg,csv,xls,xlsx,pcm,wav,amr,mp3,mp4,json

// 基本配置
const (
	Name            string = "name"              // 名称
	Domain          string = "domain"            // 域名
	WsDomain        string = "ws_domain"         // ws域名
	TokenEffectTime string = "token_effect_time" // Token有效时间
	MultipleLogin   string = "multiple_login"    // 是否开启多地登录
)

const (
	ServePort string = "serve_port" // 服务器端口
)

const (
	WechatForAppID string = "appid"
)

const (
	EmailForAlias string = "email_alias" // 邮件别名
	EmailForHost  string = "email_host"  // 邮件Host
	EmailForPort  string = "email_port"  // 邮件端口地址
	EmailForUser  string = "email_user"  // 邮件用户
	EmailForPass  string = "email_pass"  // 邮件密码；定义邮箱服务器连接信息，如果是阿里邮箱 email_pass填密码，qq邮箱填授权码
)

const (
	UploadPath   string = "upload_path"   // 上传路径
	UploadExt    string = "upload_ext"    // 上传文件限制
	UploadSize   string = "upload_size"   // 上传文件大小限制
	UploadRename string = "upload_rename" // 上传文件是否重命名
)
